Skip to main content
GET
/
api-auth
/
rate-limit-schemes
/
{slug}
Get rate limit scheme
curl --request GET \
  --url https://api.wacht.dev/api-auth/rate-limit-schemes/{slug} \
  --header 'Authorization: <api-key>'
{
  "deployment_id": "<string>",
  "slug": "default-rate-limits",
  "name": "Default Rate Limits",
  "description": "<string>",
  "rules": [
    {
      "unit": "minute",
      "duration": 1,
      "max_requests": 100,
      "mode": "per_key",
      "endpoints": [
        "*"
      ],
      "priority": 0
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Path Parameters

slug
string
required

Rate limit scheme slug

Response

Rate limit scheme

deployment_id
string

Deployment ID

slug
string

Unique slug identifier

Example:

"default-rate-limits"

name
string

Display name

Example:

"Default Rate Limits"

description
string | null

Optional description

rules
object[]

Rate limit rules

created_at
string<date-time>
updated_at
string<date-time>